27
ответов

easy_install: команда не найдена

Я пытаюсь установить MYCROFT на Ubuntu 18.04 следующим образом: LINK cd ~ / git clone https://github.com/MycroftAI/mycroft-core.git cd mycroft-core bash dev_setup.sh Я получаю эту ошибку: sudo:. ..
вопрос задан: 26 May 2018 00:05
15
ответов

Запись в файл

def loadSubredditConfig (self): self.builder.get_object ('cbxR'). remove_all () path = os.path.join (xdg.BaseDirectory.xdg_config_home, 'RedThat', 'subreddits') if (os.path.exists ( дорожка)): ...
вопрос задан: 1 July 2012 22:55
9
ответов

Python3 pip3 устанавливается на Ubuntu

Я установил python3 и pip3 успешно на свой Ubuntu16.04, но установка pip3 нарушена. Как я могу исправить эту проблему? Информация об ошибке для установки pip3 выглядит следующим образом: # pip3 install xlwt Traceback ...
вопрос задан: 26 October 2017 18:40
9
ответов

Где я могу найти Python 2.7 на Ubuntu 16?

Я действительно нуб в Ubuntu, и мне действительно нужно Phython 2.7 и PIP на следующей неделе на нашем тренинге. Инструкция: -Установить Ubuntu -Install Python -Install - python2.7-dev - python-dev -And PIP So ...
вопрос задан: 13 April 2017 15:24
9
ответов

Я запускаю `sudo apt-get remove python2.7`, могу ли я сейчас восстановить свою Ubuntu?

Я хотел удалить и переустановить интерпретатор python2.7 12.04. Но когда я сделал sudo apt-get remove python2.7, сумасшедший терминал начал удалять все !!! Любая идея, как я могу восстановить все, что я ...
вопрос задан: 13 October 2012 00:18
8
ответов

Затмение Eclipse с ядром Linux 4.4.0-81-generic

Я запускаю версию Gnome Ubuntu 16.04.2 LTS 32 бит. Я также запускаю Eclipse 3.8.1 с плагином PyDev. Недавно мои обновления программного обеспечения обновили меня до ядра Linux 4.4.0-81-generic и теперь ...
вопрос задан: 21 June 2017 16:28
8
ответов

Вызов модулей из списка [dубликат]

У меня есть 3 модуля со следующим содержимым (просто для простоты): def first (): print 'first' def second (): print 'second' def third (): print 'third' Теперь у меня есть список, который. ..
вопрос задан: 19 April 2017 17:48
8
ответов

Как установить декодер h.264?

Я пытался воспроизводить видео в проигрывателе фильмов, но можно было услышать только звук. Я попытался воспроизвести видео с помощью проигрывателя драконов, но здесь также можно было услышать только звук. Появилось окно с сообщением ...
вопрос задан: 21 May 2014 15:31
8
ответов

Я запускаю `sudo apt-get remove python2.7`, могу ли я восстановить Ubuntu сейчас?

Я хотел удалить и переустановить интерпретатор python2.7 на 12.04. Но когда я сделал sudo apt-get, удалите python2.7, сумасшедший терминал начал удалять все !!! Любая идея, как я могу восстановить все, что я ...
вопрос задан: 13 October 2012 01:18
7
ответов

Лучший способ объединить два списка значений integer и float с помощью Python [duplicate]

Я пытаюсь объединить следующие списки, упомянутые ниже. Я могу сделать, используя некоторые сырые методы, но пытаюсь, чтобы я получил лучшие альтернативы, чтобы сделать то же самое. list_1 = [2109, 7891, 2777, 8987, ...
вопрос задан: 22 October 2017 21:44
7
ответов

Использование Keras & Tensorflow с AMD GPU

Я начинаю изучать Keras, которому я верю, слой сверху Tensorflow и Theano. Однако у меня только есть доступ к AMD GPU, такие как AMD R9 280X. Как я могу установить свою среду Python такой...
вопрос задан: 18 June 2016 07:09
7
ответов

Проблемы с компиляцией GDB с поддержкой python 2.7 для gdb-peda

Попытка установить gdb-peda, но у меня проблемы с компиляцией gdb с поддержкой python 2 вместо поддержки python 3. У меня есть python-dev для 2.7, build-dep nmon и libncurses5-dev. Я ...
вопрос задан: 11 November 2014 23:45
7
ответов

Как установить декодер h.264?

Я пытался воспроизвести видео в фильме, но слышен только звук. Я попытался воспроизвести видео с помощью игрока-дракона, но здесь также можно услышать только звук. Появилось окно с сообщением о том, что ...
вопрос задан: 21 May 2014 16:31
7
ответов

Затмение не показывает Pydev в настройках

После установки Eclipse и python я не могу увидеть Pydev в затмении. Когда я снова пытаюсь установить Eclipse, он отображается как дубликат.
вопрос задан: 19 December 2012 16:05
7
ответов

Как установить последнюю версию python-opencv в 64-битной Ubuntu?

Я слышал, что OpenCV поддерживает только 32-битный Python. Но моя операционная система Ubuntu 12.04 64-битная и имеет Python 2.7 64-битную. Как я могу установить последние привязки OpenCV-Python в этой системе для 32-битного Python? ,
вопрос задан: 6 July 2012 18:15
7
ответов

Python-libnotify, показывающий странное поведение с xfce4-notifyd и notify-osd

Я пытаюсь поиграть с привязками python в libnotify. Я получил этот код из / usr / share / doc / python-notify / examples, и он показывает различное поведение с xfce4-notifyd и notify-osd. Дело-1 с ...
вопрос задан: 1 July 2012 18:19
7
ответов

Странно быстро работает, но отладчик падает без исключения

Во-первых, как ни странно, быстрый запуск моего приложения работает нормально, и я полагаю, что я не внес никаких изменений в исходный код, поскольку работала быстрая отладка (объявляя, что это не ошибка пользователя, неприятна, я знаю!). winpdb ...
вопрос задан: 26 June 2012 18:14
6
ответов

Как добавить путь python в Ubuntu 16.04

Я пытаюсь запустить проект scrapy на сервере ubuntu. Для чего мне нужно добавить путь к пути к пути python. Я создал файл .bash_profile в каталоге / home со следующим содержимым: ...
вопрос задан: 2 February 2018 03:38
6
ответов

Переключение между python 2.x и 3.x в linux machine.And также какова функция virtualenv в этом случае?

У меня есть две базы кода build_2.x и build_3.x, которые были закодированы в python 2.x и python 3.x соответственно. Я владею Linux-машиной в этом python 2.x. Но для моей цели проекта мне нужно ...
вопрос задан: 18 January 2018 14:04
6
ответов

при создании ошибки получения модуля

использовал эту команду для создания модуля - python manage.py startapp todos, получивший эту ошибку: Traceback (последний последний вызов): Файл «manage.py», строка 17, в «Не удалось импортировать Django.
вопрос задан: 9 January 2018 13:46
6
ответов

Как импортировать wx на Ubuntu 16.04

Я попытался установить его с помощью apt-get: sudo apt-get install python-wxgtk3.0 Но все же, когда я запускаю скрипт py с импортом wx, он выдает ошибку «без модуля с именем wx» на Python 2.x и Python 3. x I ...
вопрос задан: 8 November 2017 17:26
6
ответов

Установка Python3 pip3 повреждается на Ubuntu

Я установил python3 и pip3 успешно на моем Ubuntu16.04, но установка pip3 повреждается. Как я могу решить эту проблему? Информация об ошибке установки pip3 следующие: установка # pip3 xlwt Traceback...
вопрос задан: 26 October 2017 08:40
6
ответов

Как изменить путь теста Python 3.5 до 2.7 при выполнении автоматизированных тестов?

Новичок здесь. Фон состоит в том, что я использую GIT и имею доступ к репозиториям с удаленного. Вот в чем проблема: в хранилищах папок Python используется 2.7 Синтаксис. Когда я выполняю автоматизацию, я ...
вопрос задан: 27 June 2017 01:53
6
ответов

Читайте и файлы CSV Записи включая unicode с Python 2.7

Я плохо знаком с Python, и у меня есть вопрос о том, как использовать Python, чтобы прочитать и записать файлы CSV. Мой файл содержит как Германия, французский язык, и т.д. Согласно моему коду, файлы могут быть считаны правильно в...
вопрос задан: 24 June 2013 18:48
6
ответов

Eclipse не показывает Pydev в настройках

После установки Eclipse и python я не могу видеть Pydev на eclipse. Когда я пытаюсь установить eclipse снова, он отображается как дублирующееся местоположение.
вопрос задан: 19 December 2012 18:05
6
ответов

Не могу показать диалог настроек

У меня опять проблемы с Python. Я создал проект, используя Quickly, и он создал диалог настроек для меня. Я сейчас пытаюсь создать диалог настроек, но я всегда получаю некоторые ...
вопрос задан: 26 June 2012 17:31
5
ответов

pipinstall дает & ldquo; Command & rdquo; python setup.py egg_info & ldquo; не удалось с кодом ошибки 1 & rdquo;

Я пытаюсь установить пакет python rpy2 с установкой pip на Ubuntu 16.04: pip install rpy2 == 2.2.7, но получить сообщение об ошибке (см. Полный вывод ниже): Команда «python setup.py egg_info» не удалась ...
вопрос задан: 12 November 2017 09:36
5
ответов

Как я могу знать, сколько свободного поршня я оставил на Lubuntu?

Я не знаю, как видеть графическое представление того, сколько поршня я оставил.
вопрос задан: 23 November 2015 10:43
4
ответа

easy_install: команда, не найденная

Я пытаюсь установить MYCROFT на Ubuntu 18.04 после этого: CD ССЫЛКИ ~ / клон мерзавца https://mycroft-ядро github.com/MycroftAI/mycroft-core.git cd колотит dev_setup.sh, я получаю эту ошибку: sudo:...
вопрос задан: 25 May 2018 14:05
4
ответа

python2.7 сломанной ошибкой импорта weakref, пожалуйста, помогите!

Я просто обновляюсь с 16.04 по 17.10, и каждый раз, когда я пытаюсь запустить любую команду python2.7, я получаю эту ошибку: pip install --upgrade pip Traceback (последний последний вызов): Файл «/ home / XXXX / bin / ...
вопрос задан: 30 November 2017 09:05